org.apache.ode.bpel.engine.replayer

## Class ReplayerContext

- java.lang.Object
- - org.apache.ode.bpel.engine.replayer.ReplayerContext

-     public class ReplayerContext
      extends java.lang.Object

  Context holding replayer state (eg. invoke answers) for single instance during replaying.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReplayerContext.AnswerResult`
    `class` | `ReplayerContext.Answers`
    `static class` | `ReplayerContext.AnswersForKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ReplayerContext.Answers` | `answers`
    `BpelEngineImpl` | `bpelEngine`
    `CommunicationType` | `replayerConfig`
    `java.util.Date` | `replayStartDate`
    `ReplayerBpelRuntimeContextImpl` | `runtimeContext`
    `ReplayerScheduler` | `scheduler`
    `java.util.Map<javax.xml.namespace.QName,CommunicationType.ServiceConfig>` | `servicesConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplayerContext(java.util.Date replayStartDate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkRollbackOnFault()`
    `CommunicationType.ServiceConfig` | `getServiceConfig(javax.xml.namespace.QName service)`
    `void` | `init(CommunicationType r, ReplayerScheduler scheduler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### scheduler

          public ReplayerScheduler scheduler

    - #### bpelEngine

          public BpelEngineImpl bpelEngine

    - #### runtimeContext

          public ReplayerBpelRuntimeContextImpl runtimeContext

    - #### servicesConfig

          public java.util.Map<javax.xml.namespace.QName,CommunicationType.ServiceConfig> servicesConfig

    - #### replayerConfig

          public CommunicationType replayerConfig

    - #### replayStartDate

          public final java.util.Date replayStartDate

    - #### answers

          public ReplayerContext.Answers answers

  - ### Constructor Detail

    - #### ReplayerContext

          public ReplayerContext(java.util.Date replayStartDate)

  - ### Method Detail

    - #### init

          public void init(CommunicationType r,
                  ReplayerScheduler scheduler)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getServiceConfig

          public CommunicationType.ServiceConfig getServiceConfig(javax.xml.namespace.QName service)

    - #### checkRollbackOnFault

          public void checkRollbackOnFault()